using MyFirstMAUI.Utility;

namespace MyFirstMAUI.CustomControl;

public partial class BallView : ContentView
{
	public BallView()
	{
		InitializeComponent();
        picker.SelectedIndex = 0;
	}

	public void Pick()
	{
        int index = picker.SelectedIndex;
		ellipse.Stroke = Utils.Palettes[index];

		int num = Utils.GetNumber(index);
		number.Text = num.ToString();
    }

    public int Pick(List<int> alreadySelected)
    {
        int index = picker.SelectedIndex;
        ellipse.Stroke = Utils.Palettes[index];

        int num = Utils.GetNumber(index);
        while (alreadySelected.Contains(num))
        {
            num = Utils.GetNumber(index);
        }

        number.Text = num.ToString();

        return num;
    }

    private void picker_SelectedIndexChanged(object sender, EventArgs e)
    {
        number.Text = "";

        int index = picker.SelectedIndex;
        if (index < 0)
            return;

        ellipse.Stroke = Utils.Palettes[index];
    }
}